KTextEditor::VariableInterface Class Referenceabstract

`#include <variableinterface.h>`

## Public Member Functions

unsigned int | variableInterfaceNumber ()
virtual QString | variable (const QString &name) const =0
virtual void | variableChanged (const QString &variable, const QString &value)=0

## Detailed Description

This interface is designed to provide access to "document variables", for example variables defined in files like "kate: variable value;" or the emacs style "-*- variable: value -*-".

The purpose is to allow KTE plugins to use variables. A document implementing this interface should return values for variable that it does not otherwise know how to use, since they could be of interrest to plugins. A document implementing this interface must emit the variableChanged() signal whenever a variable is set that it will return a value for.

KTextEditor interface to Document Variables

Definition at line 41 of file variableinterface.h.

## Member Function Documentation

virtual QString KTextEditor::VariableInterface::variable | ( | const QString & | name | ) | const

pure virtual

Returns
  the value of the variable `name`, or an empty string if the variable is not set or has no value.

virtual void KTextEditor::VariableInterface::variableChanged | ( | const QString & | variable,
|  | const QString & | value
| ) |  |

pure virtual

Signal: emitted when a variable is set.

The documentation for this class was generated from the following files:

- variableinterface.h
- variableinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys